<?php

namespace App\Wrangler\Components;

use Illuminate\Http\Request;
use Medialight\Textstem\Models\WranglerPage;
use Medialight\Textstem\Wrangler\ActiveComponent;

class Heading extends ActiveComponent
{
    public $config;

    public $editSetup = [
        [
            'name' => 'template',
            'controltype' => 'select-template',
            'value' => 'default',

        ],
        [
            'name' => 'title',
            'controltype' => 'text',
            'value' => '',
            'label' => 'Title',
            'instructions' => 'Optional title. Note - this text will be escaped. To enter raw HTML, use the HTML block.',
            'size' => 3,
        ],
        [
            'name' => 'heading_level',
            'controltype' => 'select',
            'value' => 'h2',
            'options' => ['h1', 'h2', 'h3', 'h4', 'h5', 'h6'],
            'label' => 'Heading Level',
            'size' => 1,
        ],
        [
            'name' => 'strapline',
            'controltype' => 'richtext',
            'value' => '',
            'label' => 'Strapline',
            'instructions' => 'Optional strapline - additional text to appear below the heading',
            'size' => 4,
        ],

    ];

    //    public function __construct($config){
    //        $this->config =$config;
    //        $this->checkEditorSetup($this->editSetup);
    //
    //        foreach($this->editSetup as $k=> &$setup){
    //            if (isset($config[$k]))
    //            {
    //                $setup['value'] = $config[$k];
    //            }
    //        }
    //    }

    public function render(Request $request, WranglerPage $wranglerPage)
    {
        $view = $this->getView();

        return view($view, $this->config)->render();
    }

    public function preview()
    {
        $view = $this->getView();
        return view($view, $this->data())->render();
    }
}
